Skip to main content
GET
Bridge history of an address

Headers

X-API-Key
string | null

Path Parameters

address
string
required

User address

Pattern: ^0x[0-9a-fA-F]{40}$

Query Parameters

direction
enum<string>

deposit or withdrawal

Available options:
deposit,
withdrawal
status
enum<string>

Transfer status

Available options:
initiated,
ticket_created,
redeem_failed,
expired,
completed,
executed
include_messages
boolean
default:false

Include retryable messages that move no asset

start_time
string<date-time> | null

Start time (UTC)

end_time
string<date-time> | null

End time (UTC)

limit
integer
default:100
Required range: 1 <= x <= 1000
offset
integer
default:0
Required range: x >= 0

Response

OK

success
boolean
default:true
message
string
data
BridgeTransfer · object[]
execution_time_ms
number
has_more
boolean